﻿using System;
using System.Globalization;
using System.Windows.Forms;

namespace FlexGrid_Format
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            CultureInfo.DefaultThreadCurrentCulture = CultureInfo.GetCultureInfo("en-GB");
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //format "c"
            c1FlexGrid1.Cols[1].Format = "c";
            c1FlexGrid1.Cols[1].DataType = typeof(double);

            c1FlexGrid1[1, 1] = 23;
            c1FlexGrid1[2, 1] = 2.23;
            c1FlexGrid1[3, 1] = 23.82153;

            //using custom currency
            c1FlexGrid1.Cols[2].Format = "$ 0.00";
            c1FlexGrid1.Cols[2].DataType = typeof(double);
            c1FlexGrid1.Cols[2].StyleNew.TextAlign = C1.Win.C1FlexGrid.TextAlignEnum.RightCenter;

            c1FlexGrid1[1, 2] = 23;
            c1FlexGrid1[2, 2] = 2.23;
            c1FlexGrid1[3, 2] = 23.82153;
        }
    }
}
